package com.ebei.screen.controller.eba;

import com.ebei.screen.common.response.ResponseBean;
import com.ebei.screen.common.response.ResponseBuilder;
import com.ebei.screen.modules.po.Test;
import com.ebei.screen.service.EbaSystemService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author Liu.x
 * @description EBA系统大屏
 */
@Api(tags = "EBA系统大屏")
@RestController
@RequestMapping("eba/system")
public class EbaSystemController {

    @Autowired
    private EbaSystemService ebaSystemService;

    @ApiOperation("测试")
    @PostMapping("/test")
    public ResponseBean<List<Test>> test() {
        return ebaSystemService.test();
    }

    @ApiOperation("冀朝明的测试")
    @PostMapping("/testJCM")
    public ResponseBean<String> testJCM() {
        ebaSystemService.getProjectList();
        return ResponseBuilder.ok("可以的");
    }

}
